package com.ruoyi.project.aspen.domain;

import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * 电厂大屏预警对象 t_elecdashboard_alarm
 *
 * @author ruoyi
 * @date 2022-09-19
 */
public class TElecdashboardAlarm extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 值 */
    @Excel(name = "值")
    private String alarmValue;

    /** 预警时间 */
    @Excel(name = "预警时间")
    private Date alarmTime;

    /** 位号 */
    @Excel(name = "位号")
    private String code;

    /** 内容 */
    @Excel(name = "内容")
    private String description;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setAlarmValue(String alarmValue)
    {
        this.alarmValue = alarmValue;
    }

    public String getAlarmValue()
    {
        return alarmValue;
    }
    public void setCode(String code)
    {
        this.code = code;
    }

    public String getCode()
    {
        return code;
    }
    public void setDescription(String description)
    {
        this.description = description;
    }

    public String getDescription()
    {
        return description;
    }

    public Date getAlarmTime() {
        return alarmTime;
    }

    public void setAlarmTime(Date alarmTime) {
        this.alarmTime = alarmTime;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("alarmValue", getAlarmValue())
            .append("code", getCode())
            .append("description", getDescription())
            .toString();
    }
}
